import { DemensionPagesListInter, DemensionPagesInter } from './../js-pages/types'
import { useRoute } from 'vue-router'
import pagesArr from '@/js-pages'
import dayjs from 'dayjs'



//打开图片
export const $openImg = (img: string) => {
  console.log(img)
}
//时间格式化
export const $dateFormat = (date: string) => {
  return dayjs(date).format('YYYY-MM-DD')
}
//跳转企业
export const $goCompany = (companyName: string, companyId: string) => {
  console.log(companyName, companyId)
}

//跳APP内部页面
export const $goInnerPage = (page: string, comopanyName = '', monitorId = '0') => {
  console.log(page, comopanyName, monitorId)
}

//是否是企业
export const $isCompanyClass = (companyId: string) => {
  if (companyId) {
    return 'link'
  }
  return ''
}

//选择匹配的企业维度
export const $getDemension = (routerName?: string) => {
  const route = useRoute()
  const allDemensionArr = [] as DemensionPagesListInter[]
  const demensionArr = (arr: any[]): DemensionPagesInter[] => {
    return arr.reduce((total, item: any) => item.list ? demensionArr(item.list) : allDemensionArr.push(item), [])
  }
  demensionArr(pagesArr)
  const selectDemension = allDemensionArr.find(item => (routerName ? `/${routerName}` : route.path) === `/${item.routing}`)!

  return {
    selectDemension,
    allDemensionArr
  }
}

//跳转外部URL
export const $goOuterUrl = (url: string) => {
  window.open(url)
}
